aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-authentication
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-authentication')
-rw-r--r--dev-python/zope-authentication/Manifest1
-rw-r--r--dev-python/zope-authentication/metadata.xml19
-rw-r--r--dev-python/zope-authentication/zope-authentication-5.0.ebuild54
3 files changed, 74 insertions, 0 deletions
diff --git a/dev-python/zope-authentication/Manifest b/dev-python/zope-authentication/Manifest
new file mode 100644
index 0000000..4f4add4
--- /dev/null
+++ b/dev-python/zope-authentication/Manifest
@@ -0,0 +1 @@
+DIST zope-authentication-5.0.gh.tar.gz 19448 BLAKE2B 9191104244f921bfdd2ab2dc328154583e104aab187ab777bee96a92765ac393d143987c05e6d05aaca6b230311466d963958448a7b7442ff32be2036cf0879e SHA512 864f6f5a85a562ffe29c45ea3164505f1ee212e37c079a27675eb5d0196b7e5e14f7287cf674a4eb622f3094fef0789a91935f8f1ce882962e7b9cbef585ba9e
diff --git a/dev-python/zope-authentication/metadata.xml b/dev-python/zope-authentication/metadata.xml
new file mode 100644
index 0000000..67822c5
--- /dev/null
+++ b/dev-python/zope-authentication/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.authentication/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.authentication/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopeauthentication.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.authentication</remote-id>
+ <remote-id type="pypi">zope.authentication</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-authentication/zope-authentication-5.0.ebuild b/dev-python/zope-authentication/zope-authentication-5.0.ebuild
new file mode 100644
index 0000000..474299a
--- /dev/null
+++ b/dev-python/zope-authentication/zope-authentication-5.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Definition of authentication basics for the Zope Framework"
+HOMEPAGE="https://github.com/zopefoundation/zope.authentication"
+SRC_URI="https://github.com/zopefoundation/zope.authentication/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/zope-browser[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-schema[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}